package org.jeecg.modules.stm.plan.main.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.jeecg.modules.stm.plan.main.entity.StPlanMan;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.Map;

/**
 * @Description: 计划编制
 * @Author: jeecg-boot
 * @Date:   2023-07-15
 * @Version: V1.0
 */
public interface IStPlanManService extends IService<StPlanMan> {

    void handle(StPlanMan stPlanMan);

    void handleChange(StPlanMan stPlanMan);

    StPlanMan getPlanManByCode(String planceCode);
    public boolean updateByIdOne(StPlanMan entity);

    IPage<StPlanMan> defPage(StPlanMan stPlanMan, Map<String, String[]> parameterMap, Integer pageNo, Integer pageSize);
}
